# $Revision: 1.12 $, $Date: 2001/12/07 21:12:45 $
Summary:	Masq Dialer deamon
Summary(pl):	Serwer MasqDialer - zestawiajcy poczenia do Internetu
Name:		mserver
Version:	0.5.5
Release:	3
License:	GPL
Vendor:		Chares P. Wright <cpwright@cpwright.com>
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Source0:	ftp://ftp.cpwright.com/pub/mserver/c-%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.pam
Patch0:		%{name}-config.patch
Patch1:		%{name}-dial.patch
Patch2:		%{name}-Makefile.patch
URL:		http://w3.cpwright.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pam-devel
Prereq:		/sbin/chkconfig
Prereq:		rc-scripts >= 0.2.1
Requires:	ppp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		%{_sbindir}

%description
The masqdialer system will allow authorized LAN users to manipulate
the network interface (usually a modem) that gives the Internet access
on a Linux box without having to use telnet. It's based on a
client/server approach so any TCP/IP enabled system should be able to
take advantage of this server, if a client is written for it.
Currently; Linux, Windows, NetBSD, and any system with a Java
implementation or Web Browser have clients.

%description -l pl
Masqdialer pozwala autoryzowanym uytkownikom sieci LAN na
manipulowanie interfejsami sieciowymi (zwykle modemem), ktre daj
dostp do Internetu poprzez "pudeko" z Linuxem bez potrzeby uywania
telnetu. Jest on bazowany na architekturze klient/server, wic kady
system z aktywnym TCP/IP powinien by w stanie korzysta, jeeli tylko
klient zostanie napisany. Aktualnie: Linux, Windows, NetBSD oraz
systemy z implementacj Javy lub przegldark Web.

%prep
%setup -q
%patch0
%patch1
%patch2 -p1

%build
rm -f missing
aclocal
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mserver
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/mserver

touch $RPM_BUILD_ROOT%{_sysconfdir}/mserver.conf

mv -f mchat/README README.mchat
rm -rf {docs/images,isdn,firewallscripts/{ipfwadm,ipchain}scripts}/CVS

gzip -9nf docs/index.html README AUTHORS ChangeLog README.mchat mserver/PROTOCOL \
	mserver/mserver.conf isdn/{ipppd*,isdn.txt} \
	firewallscripts/{ipfwadm,ipchain}scripts/client{up,down}

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add mserver
if [ -f /var/lock/subsys/mserver ]; then
	/etc/rc.d/init.d/mserver restart >&2
else
	echo "Run \"/etc/rc.d/init.d/mserver start\" to start masqdialer daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/mserver ]; then
		/etc/rc.d/init.d/mserver stop >&2
	fi
	/sbin/chkconfig --del mserver
fi

%files
%defattr(644,root,root,755)
%doc *.gz mserver/*.gz docs/*.gz docs/images
%doc firewallscripts/ipfwadmscripts firewallscripts/ipchainscripts isdn
%attr(640,root,root) %config(noreplace) %verify(not size, mtime, md5) /etc/pam.d/mserver
%attr(754,root,root) /etc/rc.d/init.d/mserver
%config(noreplace) %ghost %{_sysconfdir}/mserver.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mserver.spec,v $
Revision 1.12  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.11  2001/12/06 11:59:23  qboosh
- pl summary, cosmetics; release 3

Revision 1.10  2001/09/25 18:36:57  kloczek
- cosmetics.

Revision 1.9  2001/09/25 17:25:21  blues
- release 2
- ac2.5 ready
- some translations added
- adapterized

Revision 1.8  2001/07/26 05:42:21  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.6  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.5  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.4  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/06/05 00:20:50  kloczek
- added using DESTDIR style install,
- simplifications in %build and %install,
- added automake to BuildRequires,
- removed Requires: pam (this is generated automaticaly).

Revision 1.1  2000/06/04 13:37:37  zagrodzki
- initial release
